curl --request PUT \
--url https://cloud.memsource.com/web/api2/v1/glossaries/{glossaryUid} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"langs": [
"<string>"
],
"name": "<string>"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/glossaries/{glossaryUid}"
payload = {
"langs": ["<string>"],
"name": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({langs: ['<string>'], name: '<string>'})
};
fetch('https://cloud.memsource.com/web/api2/v1/glossaries/{glossaryUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"active": true,
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"id": "<string>",
"internalId": 123,
"langs": [
"<string>"
],
"owner": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"profileCount": 123,
"profiles": [
{
"createdBy": {
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"locked": true,
"memsourceTranslate": {
"args": {},
"baseName": "DeepL",
"category": "PHRASE",
"charCount": 0,
"default_": true,
"enabled": true,
"glossarySupported": true,
"id": "12345",
"includeTags": false,
"langs": {
"id": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
]
},
"mtQualityEstimation": false,
"name": "Phrase Language AI",
"type": "MEMSOURCE_TRANSLATE",
"uid": "8kMckeDcgWWF4Fe4Szqjb1"
},
"name": "<string>",
"uid": "<string>"
}
],
"uid": "<string>"
}Edit glossary
Languages can only be added, their removal is not supported. The glossary owner must be an Admin or Project Manager.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Unique identifier of the glossary
Body
Glossary attributes to update
Response
OK
Name of the glossary
Whether the glossary is active
Show child attributes
Show child attributes
Date and time when the glossary was created
Internal numeric identifier, encoded as a string
Sequential numeric identifier of the glossary within the organization
Language codes associated with the glossary
Show child attributes
Show child attributes
Number of machine translation profiles linked to the glossary
Machine translation profiles linked to the glossary
Show child attributes
Show child attributes
Unique identifier used in API paths
Was this page helpful?